
import { RequestPlaceBet } from "../../../bet-table/scripts/system/request-place-bet";
import { BetPositionComponent } from "./bet-position-component";

const { ccclass, property } = cc._decorator;

@ccclass
export class BetPositionOnClick extends cc.Component
{
    @property(RequestPlaceBet)
    private requestPlaceBet: RequestPlaceBet = null;
    @property(BetPositionComponent)
    private betPositionComponent: BetPositionComponent = null;

    private onClick(): void
    {
        this.requestPlaceBet.request(this.betPositionComponent.getIndex());
    }
}