import getDecorators from "inversify-inject-decorators";
import { BetOptionController, container, CONTROLLER } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class RequestChangeBetOption extends cc.Component
{
    @lazyInject(CONTROLLER.BetOption)
    private betOptionController: BetOptionController;

    public request(value): void
    {
        this.betOptionController.changeBetOption(value);
    }
}
